列出 privilegedRoles
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
注意
2021 年 5 月 31 日,已弃用适用于 Azure Active Directory (Azure AD) 角色的 Privileged Identity Management (PIM) API 版本,并停止返回数据。 使用新的 角色管理 API。
检索 privilegedRole 对象的列表。
若要筛选查询中的结果,请在 URL 中使用标准 OData $filter 表达式。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
请求者需要具有以下角色之一: 特权角色管理员 、 全局管理员 、 安全管理员 或 安全读取者 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Directory.AccessAsUser.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
不支持。
HTTP 请求
GET /privilegedRoles
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回一个 200 OK 响应代码和 PrivilegedRole 对象集合。
请注意,租户需要注册到 PIM。 否则,将返回 HTTP 403 禁止的状态代码。
示例
请求
下面是一个请求示例。
GET https://graph.microsoft.com/beta/privilegedRoles
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var privilegedRoles = await graphClient.PrivilegedRoles
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let privilegedRoles = await client.api('/privilegedRoles')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/privilegedRoles"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphPrivilegedRole *privilegedRole = [[MSGraphPrivilegedRole alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
PrivilegedRoleCollectionPage privilegedRoles = graphClient.privilegedRoles()
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.PrivilegedRoles().Get()
Import-Module Microsoft.Graph.Identity.Governance
Get-MgPrivilegedRole
响应
这是一个示例响应。注意:为提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "id-value",
"name": "name-value"
}
]
}